Error report installing Qiime2

Hi guys,

I’m trying to install Qiime2 but I got the following error message…can anyone help me?
Thanks

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda/exceptions.py", line 1002, in __call__
    return func(*args, **kwargs)
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda_env/cli/main.py", line 73, in do_call
    exit_code = getattr(module, func_name)(args, parser)
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda_env/cli/main_create.py", line 77, in execute
    directory=os.getcwd())
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda_env/specs/__init__.py", line 40, in detect
    if spec.can_handle():
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda_env/specs/yaml_file.py", line 18, in can_handle
    self._environment = env.from_file(self.filename)
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda_env/env.py", line 131, in from_file
    return from_yaml(yamlstr, filename=filename)
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda_env/env.py", line 116, in from_yaml
    data = yaml_load_standard(yamlstr)
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/conda/common/serialize.py", line 76, in yaml_load_standard
    return yaml.load(string, Loader=yaml.Loader, version="1.2")
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/main.py", line 640, in load
    return loader._constructor.get_single_data()  # type: ignore
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/constructor.py", line 102, in get_single_data
    node = self.composer.get_single_node()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/composer.py", line 75, in get_single_node
    document = self.compose_document()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/composer.py", line 99, in compose_document
    self.parser.get_event()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/parser.py", line 166, in get_event
    self.current_event = self.state()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/parser.py", line 244, in parse_document_end
    token = self.scanner.peek_token()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/scanner.py", line 173, in peek_token
    self.fetch_more_tokens()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/scanner.py", line 273, in fetch_more_tokens
    return self.fetch_value()
  File "/Users/rs2012/miniconda2/lib/python2.7/site-packages/ruamel_yaml/scanner.py", line 626, in fetch_value
    self.reader.get_mark())
ScannerError: mapping values are not allowed here
  in "<byte string>", line 4, column 56:
     ... cted automatically to target URL: <a href="https://raw.githubuse ... 
                                         ^ (line: 4)

$ /Users/rs2012/miniconda2/bin/conda-env create -n qiime2-2018.11 --file qiime2-2018.11-py35-osx-conda.yml

environment variables:
CIO_TEST=
CONDA_AUTO_UPDATE_CONDA=false
CONDA_ROOT=/Users/rs2012/miniconda2
PATH=/Users/rs2012/miniconda2/bin:/Users/rs2012/miniconda3/bin:/Users/rs201
2/miniconda2/bin:/Users/rs2012/miniconda2/bin:/usr/local/bin:/usr/bin:
/bin:/usr/sbin:/sbin
REQUESTS_CA_BUNDLE=
SSL_CERT_FILE=

 active environment : None
   user config file : /Users/rs2012/.condarc

populated config files :
conda version : 4.6.7
conda-build version : not installed
python version : 2.7.15.final.0
base environment : /Users/rs2012/miniconda2 (writable)
channel URLs : https://repo.anaconda.com/pkgs/main/osx-64
https://repo.anaconda.com/pkgs/main/noarch
https://repo.anaconda.com/pkgs/free/osx-64
https://repo.anaconda.com/pkgs/free/noarch
https://repo.anaconda.com/pkgs/r/osx-64
https://repo.anaconda.com/pkgs/r/noarch
package cache : /Users/rs2012/miniconda2/pkgs
/Users/rs2012/.conda/pkgs
envs directories : /Users/rs2012/miniconda2/envs
/Users/rs2012/.conda/envs
platform : osx-64
user-agent : conda/4.6.7 requests/2.21.0 CPython/2.7.15 Darwin/17.6.0 OSX/10.13.5
UID:GID : 1922553164:940317676
netrc file : None
offline mode : False

What does the contents of qiime2-2018.11-py35-osx-conda.yml look like? For example:

cat qiime2-2018.11-py35-osx-conda.yml

Hi, thanks for your reply

following, the file’s content:

Redirecting...

Redirecting...

You should be redirected automatically to target URL: https://raw.githubusercontent.com/qiime2/environment-files/master/2018.11/release/qiime

Actually, I got some issue to download it, because wget didn’t works, (I got this error “Disabling SSL due to encountered errors”), so I tried with curl -O but I’m not sure It downloaded a correct file…

Thanks

Did you remember to follow the step of installing wget via conda?
image

You can also just download the environment file manually via your browser.